package test.org.itscool.commons.aop;
import org.itscool.commons.aop.ProxyMethodHandler;
import org.itscool.commons.aop.ProxyMethodInvocator;

public class HelloAdvice implements ProxyMethodHandler{
	public Object invoke(ProxyMethodInvocator invocator) throws Throwable{
		((Hello)invocator.getOriginal()).setName("kano");
	    Object obj = invocator.proceed();
	    return obj;
	}
	
}